Subject: bug#6183: closed (Re: bug#5556: vc-next-action destroys window configuration)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Oct 2011 07:03:03 +0000

Your bug report

#5556: 23.1; Committing in version control mode (via C-x vv) with two open windows closes one.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5556: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5556
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5556: vc-next-action destroys window configuration
From: martin rudalics <[email-masked]>
To: [email-masked]
Date: Wed, 12 Oct 2011 09:01:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> I tried to address this together with bug#5310.

Closed, martin

Subject: 23.1; Committing in version control mode (via C-x vv) with two open windows closes one.
From: Arne Babenhauserheide <[email-masked]>
To: [email-masked]
Date: Thu, 13 May 2010 10:49:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I often work with two windows.

When I now commit in Mercurial via "C-x vv", the commit message window 
replaces the "other" windows buffer.

After hitting "C-c C-c" to finish the commit message, the window closes.

I would expect it to return to the previous buffer instead.

Best wishes,
Arne

PS: Otherwise VCS in Emacs is extremely convenient! Many thanks for 
implementing it!

In GNU Emacs 23.1.1 (x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2010-03-09 on fluss
configured using `configure  '--prefix=/usr' '--build=x86_64-pc-linux-gnu' '--
host=x86_64-pc-linux-gnu' '--mandir=/usr/share/man'
'--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--
localstatedir=/var/lib' '--libdir=/usr/lib64' '--program-suffix=-emacs-23'
'--infodir=/usr/share/info/emacs-23' '--with-sound' '--with-x' '--with-
toolkit-scroll-bars' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg'
'--with-tiff' '--with-xpm' '--with-xft' '--with-libotf' '--with-m17n-flt' '--
with-x-toolkit=athena' '--without-hesiod' '--without-kerberos'
'--without-kerberos5' '--with-gpm' '--with-dbus' 'build_alias=x86_64-pc-linux-
gnu' 'host_alias=x86_64-pc-linux-gnu' 'CFLAGS=-march=k8 -O2 -pipe'
'LDFLAGS=-Wl,-O1''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Python

Minor modes in effect:
  shell-dirtrack-mode: t
  show-paren-mode: t
  tooltip-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Recent input:
e " ESC O A ESC O F ESC O D ESC O D ESC O D ESC O D
ESC O D ESC O D ESC O D ESC O D ESC O D ESC O D ESC
O D ESC O D ESC O D ESC O D ESC O D ESC O D ESC O D
ESC O D ESC O D ESC O D ESC O D ESC O D ESC O D ESC
O D ESC O D ESC O D ESC O D ESC O D ESC O D ESC O D
ESC O D ESC O D ESC O D ESC O D ESC O D ESC O D ESC
O D ESC O C DEL DEL DEL ` ESC O B ESC O D ESC O D ESC
O D ` ESC O F ESC O D ESC O D ESC O D ESC O D ESC O
D ESC O D ESC O D ESC O D ESC O D ESC O D ESC O D ESC
O D ESC O D ESC O D ESC O D ESC O D ESC O D ESC O D
ESC O D ESC O D ESC O D ESC O D ESC O D ESC O D ESC
O D ESC O D ESC O D ESC O F ESC O C C-x C-s C-x v v
i m p r o v e d SPC t h e SPC h e l DEL l p SPC o u
t p u t . C-x C-s C-g C-g C-c C-c ESC x b u g TAB TAB
DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL
DEL DEL DEL r e p o r t TAB TAB TAB RET

Recent messages:
Auto-saving...done
Saving file /home/arne/Quell/Programme/pyrad/pyrad.py...
Wrote /home/arne/Quell/Programme/pyrad/pyrad.py
Mark set
Press C-c C-c when you are done editing.
Enter a change comment.  Type C-c C-c when done
Quit [2 times]
Checking in /home/arne/Quell/Programme/pyrad/pyrad.py...done
Making completion list...
call-interactively: Text is read-only [3 times]

--- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- 
  - singing a part of the history of free software -
             http://infinite-hands.draketo.de